Imports VAXTELESERVERSIPLib

Public Class cVaxTeleCOM

    Private WithEvents m_objVaxTeleCOM As New VaxTeleSIP

    Public Sub UnInitialize()
        m_objVaxTeleCOM.UnInitialize()
    End Sub

    Public Sub SetLicenseKey(ByVal sLicenseKey As String)
        m_objVaxTeleCOM.SetLicenseKey(sLicenseKey)
    End Sub

    Public Function Initialize(ByVal sDomainName As String, ByVal sSIPListenIP As String, ByVal nSIPListenPort As Integer, ByVal sRTPListenIP As String, ByVal nRTPListenPort As Integer) As Boolean
        Initialize = m_objVaxTeleCOM.Initialize(sDomainName, sSIPListenIP, nSIPListenPort, sRTPListenIP, nRTPListenPort)
    End Function

    Public Function AcceptCall(ByVal nCallId As Integer, ByVal sCodecList As String, ByVal nTimeOut As Integer) As Boolean
        AcceptCall = m_objVaxTeleCOM.AcceptCall(nCallId, sCodecList, nTimeOut)
    End Function

    Public Function CloseCall(ByVal nCallId As Integer) As Boolean
        CloseCall = m_objVaxTeleCOM.CloseCall(nCallId)
    End Function

    Public Function CreateSession() As Integer
        CreateSession = m_objVaxTeleCOM.CreateSession()
    End Function

    Public Function AddCallToSession(ByVal nCallId As Integer, ByVal nSessionId As Integer) As Boolean
        AddCallToSession = m_objVaxTeleCOM.AddCallToSession(nCallId, nSessionId)
    End Function

    Public Function RemoveCallToSession(ByVal nCallId As Integer) As Boolean
        RemoveCallToSession = m_objVaxTeleCOM.RemoveCallToSession(nCallId)
    End Function

    Public Sub CloseSession(ByVal nSessionId As Integer)
        m_objVaxTeleCOM.CloseSession(nSessionId)
    End Sub

    Public Function GetVaxObjectError() As Integer
        GetVaxObjectError = m_objVaxTeleCOM.GetVaxObjectError()
    End Function

    Public Function DialCallToUser(ByVal sCallFrom As String, ByVal sToUserLogin As String, ByVal sCodecList As String, ByVal nTimeOut As Integer) As Integer
        DialCallToUser = m_objVaxTeleCOM.DialCallToUser(sCallFrom, sToUserLogin, sCodecList, nTimeOut)
    End Function

    Public Function DialCallToLine(ByVal nLineId As Integer, ByVal sDialNo As String, ByVal sCodecList As String, ByVal nTimeOut As Integer) As Integer
        DialCallToLine = m_objVaxTeleCOM.DialCallToLine(nLineId, sDialNo, sCodecList, nTimeOut)
    End Function

    Public Function DialCallToURI(ByVal sFromURI As String, ByVal sToURI As String, ByVal sProxyURI As String, ByVal sLogin As String, ByVal sLoginPwd As String, ByVal sCodecList As String, ByVal nTimeOut As Integer) As Integer
        DialCallToURI = m_objVaxTeleCOM.DialCallToURI(sFromURI, sToURI, sProxyURI, sLogin, sLoginPwd, sCodecList, nTimeOut)
    End Function

    Public Function SendResponse(ByVal nCallId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String, ByVal sCodecList As String) As Boolean
        SendResponse = m_objVaxTeleCOM.SendResponse(nCallId, nStatusCode, sReasonPhrase, sCodecList)
    End Function

    Public Function RegisterLine(ByVal nLineId As Integer) As Boolean
        RegisterLine = m_objVaxTeleCOM.RegisterLine(nLineId)
    End Function

    Public Function UnRegisterLine(ByVal nLineId As Integer) As Boolean
        UnRegisterLine = m_objVaxTeleCOM.UnRegisterLine(nLineId)
    End Function

    Public Function AddLine(ByVal nLineId As Integer, ByVal sUserName As String, ByVal sLogin As String, ByVal sLoginPwd As String, ByVal sDisplayName As String, ByVal sDomainRealm As String, ByVal sProxyURI As String, ByVal sOutboundProxy As String) As Boolean
        AddLine = m_objVaxTeleCOM.AddLine(nLineId, sUserName, sLogin, sLoginPwd, sDisplayName, sDomainRealm, sProxyURI, sOutboundProxy)
    End Function

    Public Sub RemoveLine(ByVal nLineId As Integer)
        m_objVaxTeleCOM.RemoveLine(nLineId)
    End Sub

    Public Function AddUser(ByVal sUserLogin As String, ByVal sLoginPwd As String) As Boolean
        AddUser = m_objVaxTeleCOM.AddUser(sUserLogin, sLoginPwd)
    End Function

    Public Sub RemoveUser(ByVal sUserLogin As String)
        m_objVaxTeleCOM.RemoveUser(sUserLogin)
    End Sub

    Public Function AuthClientRegister(ByVal nRegId As Integer) As Boolean
        AuthClientRegister = m_objVaxTeleCOM.AuthClientRegister(nRegId)
    End Function

    Public Function AcceptClientRegister(ByVal nRegId As Integer) As Boolean
        AcceptClientRegister = m_objVaxTeleCOM.AcceptClientRegister(nRegId)
    End Function

    Public Function RejectClientRegister(ByVal nRegId As Integer) As Boolean
        RejectClientRegister = m_objVaxTeleCOM.RejectClientRegister(nRegId)
    End Function

    Public Function PlayWaveLoadFile(ByVal sFileName As String) As Integer
        PlayWaveLoadFile = m_objVaxTeleCOM.PlayWaveLoadFile(sFileName)
    End Function

    Public Sub PlayWaveUnLoadFile(ByVal nPlayWaveId As Integer)
        m_objVaxTeleCOM.PlayWaveUnLoadFile(nPlayWaveId)
    End Sub

    Public Function PlayWaveStartToSession(ByVal nPlayWaveId As Integer, ByVal nSessionId As Integer, ByVal bLoopPlay As Boolean) As Boolean
        PlayWaveStartToSession = m_objVaxTeleCOM.PlayWaveStartToSession(nPlayWaveId, nSessionId, bLoopPlay)
    End Function

    Public Function PlayWaveStopToSession(ByVal nSessionId As Integer) As Boolean
        PlayWaveStopToSession = m_objVaxTeleCOM.PlayWaveStopToSession(nSessionId)
    End Function

    Public Function PlayWaveResetToSession(ByVal nSessionId As Integer) As Boolean
        PlayWaveResetToSession = m_objVaxTeleCOM.PlayWaveResetToSession(nSessionId)
    End Function

    Public Function RecordWaveStartToSession(ByVal sFileName As String, ByVal nSessionId As Integer) As Boolean
        RecordWaveStartToSession = m_objVaxTeleCOM.RecordWaveStartToSession(sFileName, nSessionId)
    End Function

    Public Function RecordWaveStopToSession(ByVal nSessionId As Integer) As Boolean
        RecordWaveStopToSession = m_objVaxTeleCOM.RecordWaveStopToSession(nSessionId)
    End Function

    Public Function RecordWavePauseToSession(ByVal bEnable As Boolean, ByVal nSessionId As Integer) As Boolean
        RecordWavePauseToSession = m_objVaxTeleCOM.RecordWavePauseToSession(bEnable, nSessionId)
    End Function

    Public Function TransferCallAccept(ByVal nCallId As Integer) As Boolean
        TransferCallAccept = m_objVaxTeleCOM.TransferCallAccept(nCallId)
    End Function

    Public Function TransferCallReject(ByVal nCallId As Integer) As Boolean
        TransferCallReject = m_objVaxTeleCOM.TransferCallReject(nCallId)
    End Function

    Public Function DigitDTMF(ByVal nTypeDTMF As Integer, ByVal nCallId As Integer, ByVal nDigit As Integer) As Boolean
        DigitDTMF = m_objVaxTeleCOM.DigitDTMF(nTypeDTMF, nCallId, nDigit)
    End Function

    Public Function DetectDTMF(ByVal nTypeDTMF As Integer, ByVal nSessionId As Integer, ByVal bEnable As Boolean) As Boolean
        DetectDTMF = m_objVaxTeleCOM.DetectDTMF(nTypeDTMF, nSessionId, bEnable)
    End Function

    Public Function SessionLost(ByVal bEnable As Boolean) As Boolean
        SessionLost = m_objVaxTeleCOM.SessionLost(bEnable)
    End Function

    Public Function GetCallSession(ByVal nCallId As Integer) As Integer
        GetCallSession = m_objVaxTeleCOM.GetCallSession(nCallId)
    End Function

    Public Function EnableDialTone(ByVal nCallId As Integer, ByVal nSessionId As Integer) As Boolean
        EnableDialTone = m_objVaxTeleCOM.EnableDialTone(nCallId, nSessionId)
    End Function

    Public Function DisableDialTone(ByVal nCallId As Integer) As Boolean
        DisableDialTone = m_objVaxTeleCOM.DisableDialTone(nCallId)
    End Function

    Public Function SetVaxTeleTick(ByVal nTickId As Integer, ByVal nElapse As Integer) As Boolean
        SetVaxTeleTick = m_objVaxTeleCOM.SetVaxTeleTick(nTickId, nElapse)
    End Function

    Public Function KillVaxTeleTick(ByVal nTickId As Integer) As Boolean
        KillVaxTeleTick = m_objVaxTeleCOM.KillVaxTeleTick(nTickId)
    End Function

    Private Sub OnClientUnRegister(ByVal sUserLogin As String) Handles m_objVaxTeleCOM.OnClientUnRegister
        cServerSIP.m_objServerSIP.OnClientUnRegister(sUserLogin)
    End Sub

    Private Sub OnClientRegister(ByVal sUserLogin As String, ByVal sDomain As String, ByVal nRegId As Integer) Handles m_objVaxTeleCOM.OnClientRegister
        cServerSIP.m_objServerSIP.OnClientRegister(sUserLogin, sDomain, nRegId)
    End Sub

    Private Sub OnClientRegisterSuccess(ByVal sUserLogin As String) Handles m_objVaxTeleCOM.OnClientRegisterSuccess
        cServerSIP.m_objServerSIP.OnClientRegisterSuccess(sUserLogin)
    End Sub

    Private Sub OnClientRegisterFail(ByVal sUserLogin As String) Handles m_objVaxTeleCOM.OnClientRegisterFail
        cServerSIP.m_objServerSIP.OnClientRegisterFail(sUserLogin)
    End Sub

    Private Sub OnLineRegisterTrying(ByVal nLineId As Integer) Handles m_objVaxTeleCOM.OnLineRegisterTrying
        cServerSIP.m_objServerSIP.OnLineRegisterTrying(nLineId)
    End Sub

    Private Sub OnLineRegisterFail(ByVal nLineId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String) Handles m_objVaxTeleCOM.OnLineRegisterFail
        cServerSIP.m_objServerSIP.OnLineRegisterFail(nLineId, nStatusCode, sReasonPhrase)
    End Sub

    Private Sub OnLineRegisterSuccess(ByVal nLineId As Integer) Handles m_objVaxTeleCOM.OnLineRegisterSuccess
        cServerSIP.m_objServerSIP.OnLineRegisterSuccess(nLineId)
    End Sub

    '/////////////////////////////////

    Private Sub OnLineUnRegisterTrying(ByVal nLineId As Integer) Handles m_objVaxTeleCOM.OnLineUnRegisterTrying
        cServerSIP.m_objServerSIP.OnLineUnRegisterTrying(nLineId)
    End Sub

    Private Sub OnLineUnRegisterFail(ByVal nLineId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String) Handles m_objVaxTeleCOM.OnLineUnRegisterFail
        cServerSIP.m_objServerSIP.OnLineUnRegisterFail(nLineId, nStatusCode, sReasonPhrase)
    End Sub

    Private Sub OnLineUnRegisterSuccess(ByVal nLineId As Integer) Handles m_objVaxTeleCOM.OnLineUnRegisterSuccess
        cServerSIP.m_objServerSIP.OnLineUnRegisterSuccess(nLineId)
    End Sub

    '/////////////////////////////////

    Private Sub OnIncomingCallFromLine(ByVal nCallId As Integer, ByVal nLineId As Integer, ByVal sCallFrom As String, ByVal sCallTo As String, ByVal sFromURI As String, ByVal sToURI As String, ByVal sFromIP As String, ByVal nFromPort As Integer) Handles m_objVaxTeleCOM.OnIncomingCallFromLine
        cServerSIP.m_objServerSIP.OnIncomingCallFromLine(nCallId, nLineId, sCallFrom, sCallTo, sFromURI, sToURI, sFromIP, nFromPort)
    End Sub

    Private Sub OnIncomingCallFromUser(ByVal nCallId As Integer, ByVal sUserName As String, ByVal sCallFrom As String, ByVal sCallTo As String, ByVal sFromURI As String, ByVal sToURI As String, ByVal sFromIP As String, ByVal nFromPort As Integer) Handles m_objVaxTeleCOM.OnIncomingCallFromUser
        cServerSIP.m_objServerSIP.OnIncomingCallFromUser(nCallId, sUserName, sCallFrom, sCallTo, sFromURI, sToURI, sFromIP, nFromPort)
    End Sub

    Private Sub OnIncomingCallAnonymous(ByVal nCallId As Integer, ByVal sCallFrom As String, ByVal sCallTo As String, ByVal sFromURI As String, ByVal sToURI As String, ByVal sFromIP As String, ByVal nFromPort As Integer) Handles m_objVaxTeleCOM.OnIncomingCallAnonymous
        cServerSIP.m_objServerSIP.OnIncomingCallAnonymous(nCallId, sCallFrom, sCallTo, sFromURI, sToURI, sFromIP, nFromPort)
    End Sub

    Private Sub OnIncomingCallCancel(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnIncomingCallCancel
        cServerSIP.m_objServerSIP.OnIncomingCallCancel(nCallId)
    End Sub

    Private Sub OnDialCallConnected(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnDialCallConnected
        cServerSIP.m_objServerSIP.OnDialCallConnected(nCallId)
    End Sub

    Private Sub OnAcceptIncomingCallConnected(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnAcceptIncomingCallConnected
        cServerSIP.m_objServerSIP.OnAcceptIncomingCallConnected(nCallId)
    End Sub

    Private Sub OnDisconnectCall(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnDisconnectCall
        cServerSIP.m_objServerSIP.OnDisconnectCall(nCallId)
    End Sub

    Private Sub OnProvisionalResponse(ByVal nCallId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String) Handles m_objVaxTeleCOM.OnProvisionalResponse
        cServerSIP.m_objServerSIP.OnProvisionalResponse(nCallId, nStatusCode, sReasonPhrase)
    End Sub

    Private Sub OnFailureResponse(ByVal nCallId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String) Handles m_objVaxTeleCOM.OnFailureResponse
        cServerSIP.m_objServerSIP.OnFailureResponse(nCallId, nStatusCode, sReasonPhrase)
    End Sub

    Private Sub OnRedirectionResponse(ByVal nCallId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String, ByVal sContact As String) Handles m_objVaxTeleCOM.OnRedirectionResponse
        cServerSIP.m_objServerSIP.OnRedirectionResponse(nCallId, nStatusCode, sReasonPhrase, sContact)
    End Sub

    Private Sub OnPlayWaveToSessionDone(ByVal nPlayWaveId As Integer, ByVal nSessionId As Integer) Handles m_objVaxTeleCOM.OnPlayWaveToSessionDone
        cServerSIP.m_objServerSIP.OnPlayWaveToSessionDone(nPlayWaveId, nSessionId)
    End Sub

    Public Sub OnDigitDetectDTMF(ByVal nSessionId As Integer, ByVal nCallId As Integer, ByVal nDigit As Integer) Handles m_objVaxTeleCOM.OnDigitDetectDTMF
        cServerSIP.m_objServerSIP.OnDigitDetectDTMF(nSessionId, nCallId, nDigit)
    End Sub

    Public Sub OnSessionLost(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnSessionLost
        cServerSIP.m_objServerSIP.OnSessionLost(nCallId)
    End Sub

    Private Sub OnTransferCallBlind(ByVal nCallId As Integer, ByVal sTransferee As String, ByVal sTransferTo As String, ByVal sTransferToURI As String) Handles m_objVaxTeleCOM.OnTransferCallBlind
        cServerSIP.m_objServerSIP.OnTransferCallBlind(nCallId, sTransferee, sTransferTo, sTransferToURI)
    End Sub

    Private Sub OnTransferCallAttend(ByVal nCallId As Integer, ByVal nTransferToCallId As Integer) Handles m_objVaxTeleCOM.OnTransferCallAttend
        cServerSIP.m_objServerSIP.OnTransferCallAttend(nCallId, nTransferToCallId)
    End Sub

    Private Sub OnHoldCall(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnHoldCall
        cServerSIP.m_objServerSIP.OnHoldCall(nCallId)
    End Sub

    Private Sub OffHoldCall(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OffHoldCall
        cServerSIP.m_objServerSIP.OffHoldCall(nCallId)
    End Sub

    Private Sub OnDialCallTimeOut(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnDialCallTimeOut
        cServerSIP.m_objServerSIP.OnDialCallTimeOut(nCallId)
    End Sub

    Private Sub OnAcceptCallTimeOut(ByVal nCallId As Integer) Handles m_objVaxTeleCOM.OnAcceptCallTimeOut
        cServerSIP.m_objServerSIP.OnAcceptCallTimeOut(nCallId)
    End Sub

    Public Sub OnVaxTeleTick(ByVal nTickId As Integer) Handles m_objVaxTeleCOM.OnVaxTeleTick
        cServerSIP.m_objServerSIP.OnVaxTeleTick(nTickId)
    End Sub

End Class
