using System;
using System.Collections.Generic;
using System.Text;

class cClientRegisterEvent
{
    //private string m_sDomainRealm;

    public void SetDomainRealm(string sDomainRealm)
    {
        //m_sDomainRealm = sDomainRealm  'Restrict client to add correct domain in the ToURI.
    }

    public void OnClientRegister(string sUserLogin, string sDomain, int nRegId)
    {
        //if(m_sDomainRealm != sDomain)  // Restrict client to add correct domain in the ToURI.
        //{
        //	RejectClientRegister(nRegId);
        //	return;
        //}

        cRegistry objReg = new cRegistry();
        cLoginReg objLoginReg = new cLoginReg();

        if (!objReg.GetLogin(sUserLogin, ref objLoginReg))
        {
            if (!cServerSIP.m_objServerSIP.RejectClientRegister(nRegId))
                cServerSIP.m_objServerSIP.LogError("");

            return;
        }

        if (objLoginReg.m_bBlock)
        {
            if (!cServerSIP.m_objServerSIP.RejectClientRegister(nRegId))
                cServerSIP.m_objServerSIP.LogError("");

            return;
        }

        cServerSIP.m_objServerSIP.m_objUserList.AddUser(sUserLogin, objLoginReg.m_sPassword, objLoginReg.m_bStealth, objLoginReg.m_sCodec, objLoginReg.m_bBlock);

        if (!cServerSIP.m_objServerSIP.AuthClientRegister(nRegId))
            cServerSIP.m_objServerSIP.LogError("");
    }

    public void OnClientRegisterSuccess(string sUserLogin)
    {
    }

    public void OnClientUnRegister(string sUserLogin)
    {
        cServerSIP.m_objServerSIP.m_objUserList.RemoveUser(sUserLogin);
    }

    public void OnClientRegisterFail(string sUserLogin)
    {
        cServerSIP.m_objServerSIP.m_objUserList.RemoveUser(sUserLogin);
    }


}

