#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Text;
using namespace Microsoft::Win32;

public ref class cQueueReg
{
public:
	cQueueReg();

public:
	String^ m_sPlayWave;
    String^ m_sPressDigitPlayWave;

    ArrayList^ m_objQueueOPList;
    ArrayList^ m_objPressDigitList;
    ArrayList^ m_objPressDigitUserList;
};

public ref class cLoginReg
{
public:
	cLoginReg();

public:
	String^ m_sPassword;
    String^ m_sCodec;
    bool m_bBlock;
    bool m_bStealth;
};

public ref class cLineReg
{
public:
	cLineReg();

public:
    String^ m_sDisplayName;
    String^ m_sUserName;
    String^ m_sAuthUser;
    String^ m_sPassword;
    String^ m_sRealm;
    String^ m_sProxy;
    String^ m_sOutboundProxy;
    bool m_bRegister;
    String^ m_sInCallType;
    String^ m_sInCallTo;
    String^ m_sCodec;
};

public ref class cDialPlanReg
{
public:
	cDialPlanReg();

public:
    String^ m_sLineName;
    String^ m_sCallPrefix;
};

public ref class cRegistry
{
public:
	cRegistry(void);
	~cRegistry(void);

private:
	RegistryKey^ m_hKey;

public:

	String^ GetStealthListenerMusic();
	bool SetStealthListenerMusic(String^ sPlayWave);
	String^ GetHoldMusic();
	bool SetHoldMusic(String^ sPlayWave);
	String^ GetDialToneMusic();
	bool SetDialToneMusic(String^ sPlayWave);
	bool GetStartServer();
	bool SetStartServer(Boolean bEnable);
	bool SetComm(String^ sListenIP, String^ sListenPort, String^ sDominRealm);
	bool GetComm(String^% sListenIP,  String^% sListenPort,  String^% sDominRealm);
	bool RemoveQueue(String^ sQueue);
	bool EnumQueue(ArrayList^ objQueueList);
	bool GetQueue(String^ sQueue,  cQueueReg^ objQueueReg);
	bool SetQueue(String^ sQueue,  cQueueReg^ objQueueReg);
	bool IsQueueExist(String^ sQueue);
	bool RemoveLogin(String^ sLogin);
	bool EnumLogin(ArrayList^ objLoginList);
	bool SetLogin(String^ sLogin, cLoginReg^ objLoginReg);
	bool GetLogin(String^ sLogin, cLoginReg^ objLoginReg);
	bool IsLoginExist(String^ sLogin);
	bool EnumLine(ArrayList^ objLineList);
	bool SetLine(String^ sLineName, cLineReg^ objLineReg);
	bool GetLine(String^ sLineName, cLineReg^ objLineReg);
	bool IsLineExist(String^ sLineName);
	bool RemoveLine(String^ sLineName);
	bool EnumDialPlan(ArrayList^ objUserPix);
	bool RemoveDialPlan(String^ sUserPix);
	bool SetDialPlan(String^ sUserPix,  cDialPlanReg^ objDialPlanReg);
	bool GetDialPlan(String^ sUserPix,  cDialPlanReg^ objDialPlanReg);

};
